@import './variables.scss';

body,html{height: 100%;}
body{overflow-y: auto;background-color:#fcfcfc}
*{outline: none;margin:0;padding:0;}
ul{padding:0;}
h1,h2,h3,h4,h5,h6{font-weight:500;}
.app-wrapper{min-height: 100%;}
.h-100{min-height:100%}
.cursor-pointer{cursor: pointer;}
button{min-width: 137px !important;border-radius: 3px !important;}
.flex-container-fluid{display: flex;max-width:1280px;margin: 0 auto;background-color:var(--color-bg);width: 100%;}
.flex-box{display: flex;align-items: center;justify-content: center;}
.login-container{height: 100vh;align-items: center;
    .login-wrapper{box-shadow:0 0 20px #dadada;height:100vh;max-height:650px;
        .company-description{flex-direction: column;
            background-color:var(--primary-clr);color:var(--primary-bg-text-clr);
            .logo.flex-box{width:92px;background-color:var(--primary-bg-text-clr);height:92px;border-radius:50%;}
            .company-head{margin-top:16px;
                h1{font-size:1.85rem;line-height:2.1rem;
                    b{font-weight: $text-bold;}
                }
                small{font-size:0.8rem;line-height:1rem;text-transform: capitalize;}
                p{color:var(--text-grey);font-size:0.9rem;line-height:1.1rem;margin-top:4.5rem;max-width:360px}
            }
        }
        .login-form{display: flex;justify-content:center;flex-direction:column;padding:0 90px;
            h2{font-size:1.7rem;line-height:1.9rem;color:var(--color-text)}
            h2 + label{color:#7C7C7C;font-size:0.8rem;line-height:1rem;}
            form{max-width:300px;
                input{
                    font-size: 16px;
                  }
                mat-icon{color:var(--text-grey);position: relative;top:5px;cursor: pointer;}
                mat-label{font-size:0.8rem;}
                ::placeholder {
                    color: var(--text-grey);
                  }
                .gsa-btn{border: 1px solid #0E8CF8;color: #0E8CF8;}
                .login-btn{color: #0E8CF8;background: rgb(14,140,248,0.24);}
                .forgot-pw{color:var(--text-grey);font-size:12px;}
            }
        }
    }
}

